Index: /extensions/piclens/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/piclens/language/es_ES/plugin.lang.php	(revision 3624)
+++ /extensions/piclens/language/es_ES/plugin.lang.php	(revision 3625)
@@ -158,4 +158,57 @@
 $lang['piclens_stuff_param_commun']		= '<b>Parámetros que pueden ser comunes del plugins Cooliris-piclens y PWG-Stuff</b>';
 
-
+$lang['piclens_3dwallconfig2_tab'] 		= 'Configuración Avanzada 3DWall';
+$lang['piclens_wallcfgadv_title']       = 'Piclens : Configuración Avanzada de Cooliris 3D Wall';
+$lang['piclens_wallcfg_colorD']         = 'Dark';
+$lang['piclens_wallcfg_colorL']         = 'Light';
+$lang['piclens_wallcfg_showChrome']    = 'Anuncio de la barra "chrome" abajo la pared';
+$lang['piclens_wallcfg_showDescription']    = 'Fijación de las descripciones de las imágenes';
+$lang['piclens_wallcfg_showReflections']    = 'Fijación de la reflexión de las imágenes';
+$lang['piclens_wallcfg_showTutorial']    = 'Fijación de la ayuda al comienzo de la pared';
+$lang['piclens_wallcfg_showNavArrows']    = 'Fijación de las flechas laterales';
+$lang['piclens_wallcfg_backgroundAlpha']    = 'Transparencia del fondo [0.0-1.0]';
+$lang['piclens_wallcfg_descriptionHeight']    = 'Talla de la zona de descripción [0-100]';
+$lang['piclens_wallcfg_tilt']    = 'Inclinación de la pared [0-5]';
+$lang['piclens_wallcfg_backgroundColor']    = 'Color del fondo';
+$lang['piclens_wallcfg_glowColor']    = 'Color del fondo de la imagen seleccionada';
+$lang['piclens_wallcfg_backgroundImage']    = 'URL de la imagen de fondo';
+$lang['piclens_wallcfg_tutorial']    = 'URL de la imagen del tutorial de acogida';
+$lang['piclens_wallcfg_tutorialtime']    = 'El tiempo de fijación del tutorial';
+$lang['piclens_wallcfg_customButtonURL']    = 'URL de un icone abajo a la derecha de la pared';
+$lang['piclens_wallcfg_customButtonTARGET']    = 'Lazo de un icone abajo a la derecha de la pared';
+$lang['piclens_wallcfg_icons']    = 'Repertorio que contiene el PNG para los iconos personalizados';
+$lang['piclens_wallcfg_linkCSS']    = 'Estilo css a aplicar sobre las descripciones';
+
+
+$lang['piclens_xml_config'] = 'Configuración de los nombres y descripciones';
+$lang['piclens_xml_legend']	= 'Tipos utilizables para los parámetros siguientes';
+
+//legende
+$lang['piclens_picture_legend']	    = 'Imagen';
+$lang['piclens_cat_legend']		    = 'Categoría';
+$lang['piclens_global_legend']		= 'Global';
+$lang['img_id_legend']				= 'ID de la imagen';	// %I1
+$lang['img_name_legend']			= 'Nombre de la imagen';	// %I2
+$lang['img_description_legend']		= 'Descripción de la imagen'; // %I3
+$lang['img_author_legend']			= 'Autor de la imagen';	// %I4
+$lang['img_URLThumb_legend']		= 'URL de la miniatura (path no traje)'; // %I5
+$lang['img_URLNormal_legend']		= 'URL de la imagen (path no traje)';	// %I6
+$lang['img_URLHigh_legend']			= 'URL de la imagen en alta definición (path no traje)';	// %I7
+$lang['img_URLPicturephp_legend']	= 'Lazo hacia la imagen bajo PIWIGO (picture.php)';	//%I8
+$lang['img_URLThumbFull_legend']	= 'URL de la miniatura (path traje)'; // %I9
+$lang['img_URLNormalFull_legend']	= 'URL de la imagen (path traje)';	// %IA
+$lang['img_URLHighFull_legend']		= 'URL de la imagen en alta definición (path traje)';	// %IB
+$lang['img_filename_legend']		= 'Nombre del fichero llena de imágenes'; // %IC
+
+$lang['root_path_legend']			= 'Path de piwigo'; // %G1
+
+$lang['cat_id_legend']				= 'ID de la categoría'; // %C1
+$lang['cat_name_legend']			= 'Nombre de la categoría'; // %C2
+$lang['cat_description_legend']		= 'Descripción de la categoría'; // %C3
+$lang['cat_dir_legend']				= 'Repertorio de la categoría (path no traje)'; // %C4
+$lang['cat_dirFull_legend']			= 'Repertorio de la categoría (path traje)'; // %C5
+// Fin legende
+
+$lang['piclens_tags_label']		= 'Tags';
+$lang['piclens_rsscfg_exclude_double']	= 'Supresión de los doblones de imagen en el flujo (el mismo repertorio de acceso)';
 ?>