Index: /extensions/piclens/admin/config.php
===================================================================
--- /extensions/piclens/admin/config.php	(revision 3636)
+++ /extensions/piclens/admin/config.php	(revision 3637)
Index: /extensions/piclens/admin/config.tpl
===================================================================
--- /extensions/piclens/admin/config.tpl	(revision 3636)
+++ /extensions/piclens/admin/config.tpl	(revision 3637)
Index: /extensions/piclens/admin/functions.inc.php
===================================================================
--- /extensions/piclens/admin/functions.inc.php	(revision 3636)
+++ /extensions/piclens/admin/functions.inc.php	(revision 3637)
Index: /extensions/piclens/admin/piclens_admin.php
===================================================================
--- /extensions/piclens/admin/piclens_admin.php	(revision 3636)
+++ /extensions/piclens/admin/piclens_admin.php	(revision 3637)
Index: /extensions/piclens/admin/piclens_copy.php
===================================================================
--- /extensions/piclens/admin/piclens_copy.php	(revision 3636)
+++ /extensions/piclens/admin/piclens_copy.php	(revision 3637)
Index: /extensions/piclens/admin/piclenswallconfig.php
===================================================================
--- /extensions/piclens/admin/piclenswallconfig.php	(revision 3636)
+++ /extensions/piclens/admin/piclenswallconfig.php	(revision 3637)
Index: /extensions/piclens/admin/piclenswallconfig.tpl
===================================================================
--- /extensions/piclens/admin/piclenswallconfig.tpl	(revision 3636)
+++ /extensions/piclens/admin/piclenswallconfig.tpl	(revision 3637)
Index: /extensions/piclens/admin/piclenswallconfig2.php
===================================================================
--- /extensions/piclens/admin/piclenswallconfig2.php	(revision 3636)
+++ /extensions/piclens/admin/piclenswallconfig2.php	(revision 3637)
@@ -11,12 +11,12 @@
 /* Advanced configuration for embeded wall
 
-backgroundAlpha  0.0 to 1.0      Changes background transparency (Not Well Supported on IE).     To change the backgroundAlpha, you must set the FlashVar "wmode" to "transparent". You can change the alpha and color together. 
-backgroundColor  Hexadecimal Color String     Sets a color for the background.     This can be specified in either of the usual HTML color formats (#FFFFFF or #FFF), or as a hexidecimal number (0xFFFFFF). Note that if you are setting the FlashVars in the SWF's url, you must escape the # character as %23. 
-backgroundImage  URL     Specifies a background image for the wall.     The background image can be a PNG, GIF, or JPG. The background image covers the background color. 
-customButton  imageURL,targetURL     Adds a custom button in the lower right corner of the toolbar. 
-descriptionHeight  0 to 100     Sets the percentage height of the name and description overlay when items are selected. 
-feed  URL     Specifies the feed (MediaRSS or API) that the wall should display. 
-glowColor  Hexadecimal Color String     Changes the color of the glow around the selected cell (Default is white).     The color string can be specified as it is for backgroundColor. 
-icons  baseURL     Points to a directory of PNG images for custom toolbar icons.
+backgroundAlpha — 0.0 to 1.0      Changes background transparency (Not Well Supported on IE).     To change the backgroundAlpha, you must set the FlashVar "wmode" to "transparent". You can change the alpha and color together. 
+backgroundColor — Hexadecimal Color String     Sets a color for the background.     This can be specified in either of the usual HTML color formats (#FFFFFF or #FFF), or as a hexidecimal number (0xFFFFFF). Note that if you are setting the FlashVars in the SWF's url, you must escape the # character as %23. 
+backgroundImage — URL     Specifies a background image for the wall.     The background image can be a PNG, GIF, or JPG. The background image covers the background color. 
+customButton — imageURL,targetURL     Adds a custom button in the lower right corner of the toolbar. 
+descriptionHeight — 0 to 100     Sets the percentage height of the name and description overlay when items are selected. 
+feed — URL     Specifies the feed (MediaRSS or API) that the wall should display. 
+glowColor — Hexadecimal Color String     Changes the color of the glow around the selected cell (Default is white).     The color string can be specified as it is for backgroundColor. 
+icons — baseURL     Points to a directory of PNG images for custom toolbar icons.
     The following filenames in the directory will be used:
         * embed.png - Embed Code button
@@ -28,18 +28,18 @@
         * search.png - Search button
 
-itemGUID  string     Sets the initially-selected item when the wall loads.     The wall will automatically select the item in a MediaRSS feed with the <guid> </guid> that matches the provided identifier. This enables you to provide "permalinks" to a particular item in the wall. Note that the desired item must be present in the initial feed loaded by the wall (it can't be in a next/previous feed). 
-linkCSS  string     A CSS string to be applied to any HTML links in item descriptions. 
-numRows  1 to 7     Sets how many rows of images to show in the UI.     Note that as you show more rows, the wall is more CPU intensive and may run slower for older computers. 
-showChrome  true | false     Shows or hides the bottom toolbar background. 
-showDescription  true | false     Shows or hides the item description overlay. 
-showReflections  true | false     Shows or hides the reflections under the images.     Hiding the reflections will improve performance. 
-showEmbed  true | false     Shows or hides the Embed Code button. 
-showSearch  true | false     Shows or hides the Search button. 
-showTutorial  true | false     If set to true, show a tutorial message if the user does not click on the wall.     By default, the tutorial message says "Click and Drag to Begin", and will display after a few seconds of no interaction. This can be customized with the tutorial FlashVar. 
-showNavArrows  true | false     Shows or hides the left/right navigation arrows. 
-style  black | dark | light | white     Sets the theme to use for the wall.     This sets up different default background colors and button appearances. 
-tilt  0 to 5     Sets the amount of wall tilt (or disables it by setting it to 0). 
+itemGUID — string     Sets the initially-selected item when the wall loads.     The wall will automatically select the item in a MediaRSS feed with the <guid> </guid> that matches the provided identifier. This enables you to provide "permalinks" to a particular item in the wall. Note that the desired item must be present in the initial feed loaded by the wall (it can't be in a next/previous feed). 
+linkCSS — string     A CSS string to be applied to any HTML links in item descriptions. 
+numRows — 1 to 7     Sets how many rows of images to show in the UI.     Note that as you show more rows, the wall is more CPU intensive and may run slower for older computers. 
+showChrome — true | false     Shows or hides the bottom toolbar background. 
+showDescription — true | false     Shows or hides the item description overlay. 
+showReflections — true | false     Shows or hides the reflections under the images.     Hiding the reflections will improve performance. 
+showEmbed — true | false     Shows or hides the Embed Code button. 
+showSearch — true | false     Shows or hides the Search button. 
+showTutorial — true | false     If set to true, show a tutorial message if the user does not click on the wall.     By default, the tutorial message says "Click and Drag to Begin", and will display after a few seconds of no interaction. This can be customized with the tutorial FlashVar. 
+showNavArrows — true | false     Shows or hides the left/right navigation arrows. 
+style — black | dark | light | white     Sets the theme to use for the wall.     This sets up different default background colors and button appearances. 
+tilt — 0 to 5     Sets the amount of wall tilt (or disables it by setting it to 0). 
 
-tutorial  delayInMillis,imageURL     Customizes the tutoril message and delay.     Instead of the simple Click & Drag to Begin, you can use your own tutorial message (as an image file). To customize the delay and tutorial, pass in a time value (in milliseconds) and a URL to your tutorial image. For example, tutorial=4500,images/tutorial.png will show the designed PNG in 4.5 seonds, unless the user starts interacting with the wall. 
+tutorial — delayInMillis,imageURL     Customizes the tutoril message and delay.     Instead of the simple Click & Drag to Begin, you can use your own tutorial message (as an image file). To customize the delay and tutorial, pass in a time value (in milliseconds) and a URL to your tutorial image. For example, tutorial=4500,images/tutorial.png will show the designed PNG in 4.5 seonds, unless the user starts interacting with the wall. 
 */
 
Index: /extensions/piclens/admin/piclenswallconfig2.tpl
===================================================================
--- /extensions/piclens/admin/piclenswallconfig2.tpl	(revision 3636)
+++ /extensions/piclens/admin/piclenswallconfig2.tpl	(revision 3637)
Index: /extensions/piclens/admin/rssfeed.php
===================================================================
--- /extensions/piclens/admin/rssfeed.php	(revision 3636)
+++ /extensions/piclens/admin/rssfeed.php	(revision 3637)
Index: /extensions/piclens/admin/rssfeed.tpl
===================================================================
--- /extensions/piclens/admin/rssfeed.tpl	(revision 3636)
+++ /extensions/piclens/admin/rssfeed.tpl	(revision 3637)
Index: /extensions/piclens/generate_rss.php
===================================================================
--- /extensions/piclens/generate_rss.php	(revision 3636)
+++ /extensions/piclens/generate_rss.php	(revision 3637)
@@ -512,10 +512,10 @@
 		
             echo "<title><![CDATA["
-                  .parse($obj->my_config['piclens_rss_name'], $row)
+                  .parse($obj->my_config['piclens_rss_name'], $row, $plugins_ExtendedDesc)
                   ."]]></title>\n";
 
 
             echo '<media:description type="html"><![CDATA['
-                .parse($obj->my_config['piclens_rss_desc'], $row)
+                .parse($obj->my_config['piclens_rss_desc'], $row, $plugins_ExtendedDesc)
                 .']]> </media:description>';
                  
@@ -656,5 +656,5 @@
 
 
-function parse($data, $row)
+function parse($data, $row, $plugins_ExtendedDesc = false)
 {
 	include (PICLENS_PATH.'include/config_param.inc.php');
Index: /extensions/piclens/include/Piclens.class.php
===================================================================
--- /extensions/piclens/include/Piclens.class.php	(revision 3636)
+++ /extensions/piclens/include/Piclens.class.php	(revision 3637)
Index: /extensions/piclens/include/config_extendeddesc.inc.php
===================================================================
--- /extensions/piclens/include/config_extendeddesc.inc.php	(revision 3636)
+++ /extensions/piclens/include/config_extendeddesc.inc.php	(revision 3637)
Index: /extensions/piclens/include/config_param.inc.php
===================================================================
--- /extensions/piclens/include/config_param.inc.php	(revision 3636)
+++ /extensions/piclens/include/config_param.inc.php	(revision 3637)
@@ -1,8 +1,15 @@
 <?php
 // Fichier contenant les parametres du plugin (pour le parser)
+
 $piclens_parse = array(
 		'%I1'	=> isset($row['id']) ? $row['id'] : ''  ,
-		'%I2'	=> isset($row['name']) ? trigger_event('render_element_description',$row['name']) : ''  ,
-		'%I3'	=> isset($row['comment']) ? trigger_event('render_element_description',$row['comment']) : ''  ,
+		'%I2'	=> isset($row['name']) ?
+					($plugins_ExtendedDesc ? trigger_event('render_element_description',$row['name']) 
+											: $row['name'])
+										: ''  ,
+		'%I3'	=> isset($row['comment']) ? 
+					($plugins_ExtendedDesc ? trigger_event('render_element_description',$row['comment'])
+											: $row['comment'])
+										  : ''  ,
 		'%I4'	=> isset($row['author']) ? $row['author'] : ''  ,
 		'%I5'	=> isset ($row) ? (get_thumbnail_location($row)) : '' ,
@@ -49,6 +56,12 @@
 
 		'%C1'	=> isset($row['category_id']) ? $row['category_id'] : '',
-		'%C2'	=> isset($row['catname']) ? trigger_event('render_category_name',$row['catname']) : '',
-		'%C3'	=> isset($row['catcomment']) ? trigger_event('render_category_description',$row['catcomment']) : '',
+		'%C2'	=> isset($row['catname']) ?
+					($plugins_ExtendedDesc ? trigger_event('render_category_name',$row['catname'])
+											: $row['catname'])
+										  : ''  ,
+		'%C3'	=> isset($row['catcomment']) ? 
+							 ($plugins_ExtendedDesc ? trigger_event('render_category_description',$row['catcomment'])
+													: $row['catcomment'])
+											 : ''  ,
 		'%C4'	=> isset($row['dir']) ? $row['dir'] : '',
 		'%C5'	=> isset($row['dir']) ? embellish_url( get_root_url().'galerie/'.$row['dir']) : '',
Index: /extensions/piclens/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/piclens/language/zh_CN/plugin.lang.php	(revision 3636)
+++ /extensions/piclens/language/zh_CN/plugin.lang.php	(revision 3637)
@@ -154,4 +154,62 @@
 $lang['piclens_stuff_param_commun']		= '<b>或许可是Cooliris PicLens 和 PWG-Stuff 的公共参数</b>';
 
+/* TO DO : translation : */
+$lang['piclens_wallcfg_nbligne']        = 'Number of row display on the wall ';
+
+$lang['piclens_3dwallconfig2_tab'] 		= 'Advanced 3DWall configuration';
+$lang['piclens_wallcfgadv_title']       = 'Piclens : Advanced Configuration of Cooliris 3D Wall';
+$lang['piclens_wallcfg_colorD']         = 'Dark';
+$lang['piclens_wallcfg_colorL']         = 'Light';
+$lang['piclens_wallcfg_showChrome']    = 'Shows the bottom toolbar background';
+$lang['piclens_wallcfg_showDescription']    = 'Show the item description overlay';
+$lang['piclens_wallcfg_showReflections']    = 'Show the reflections under the images';
+$lang['piclens_wallcfg_showTutorial']    = 'Show a tutorial message';
+$lang['piclens_wallcfg_showNavArrows']    = 'Shows the navigation arrows';
+$lang['piclens_wallcfg_backgroundAlpha']    = 'Background transparency [0.0-1.0]';
+$lang['piclens_wallcfg_descriptionHeight']    = 'Height of the name and description overlay [0-100]';
+$lang['piclens_wallcfg_tilt']    = 'Amount of wall tilt [0-5]';
+$lang['piclens_wallcfg_backgroundColor']    = 'Color for the background';
+$lang['piclens_wallcfg_glowColor']    = 'Color of the glow around the selected picture';
+$lang['piclens_wallcfg_backgroundImage']    = 'URL of background image for the wall';
+$lang['piclens_wallcfg_tutorial']    = 'URL to tutorial image';
+$lang['piclens_wallcfg_tutorialtime']    = 'Tutorial delay';
+$lang['piclens_wallcfg_customButtonURL']    = 'URL for custom button in the lower right corner of the toolbar';
+$lang['piclens_wallcfg_customButtonTARGET']    = 'Target for custom button';
+$lang['piclens_wallcfg_icons']    = 'Directory of PNG images for custom toolbar icons';
+$lang['piclens_wallcfg_linkCSS']    = 'CSS string to be applied to descriptions';
+
+$lang['piclens_xml_config'] = 'Name and descriptions Configuration';
+$lang['piclens_xml_legend']	= 'Parameters for name and description';
+
+//legende
+$lang['piclens_picture_legend']	    = 'Picture';
+$lang['piclens_cat_legend']		    = 'Category';
+$lang['piclens_global_legend']		= 'Global';
+$lang['img_id_legend']				= 'Picture ID';	// %I1
+$lang['img_name_legend']			= 'Picture Name';	// %I2
+$lang['img_description_legend']		= 'Picture Description'; // %I3
+$lang['img_author_legend']			= 'Picture Author';	// %I4
+$lang['img_URLThumb_legend']		= 'Thumbnail URL (URL From gallerie)'; // %I5
+$lang['img_URLNormal_legend']		= 'Piture URL (URL From gallerie)';	// %I6
+$lang['img_URLHigh_legend']			= 'HD Picture URL (URL From gallerie)';	// %I7
+$lang['img_URLPicturephp_legend']	= 'Link to picture page (picture.php)';	//%I8
+$lang['img_URLThumbFull_legend']	= 'Thumbnail URL (full URL)'; // %I9
+$lang['img_URLNormalFull_legend']	= 'Piture URL (Full URL)';	// %IA
+$lang['img_URLHighFull_legend']		= 'HD Picture URL (Full URL)';	// %IB
+$lang['img_filename_legend']		= 'Picture file name'; // %IC
+
+$lang['root_path_legend']			= 'Pïwigo path'; // %G1
+
+$lang['cat_id_legend']				= 'Category ID'; // %C1
+$lang['cat_name_legend']			= 'Category name'; // %C2
+$lang['cat_description_legend']		= 'Category description'; // %C3
+$lang['cat_dir_legend']				= 'Path to category (path from Gallerie)'; // %C4
+$lang['cat_dirFull_legend']			= 'Path to category (Full path)'; // %C4
+// Fin legende
+
+$lang['piclens_tags_label']		= 'Tags';
+$lang['piclens_rsscfg_exclude_double']	= 'Suppress double picture in the feed (same path)';
+
+/* END TO DO*/
 
 ?>
Index: /extensions/piclens/main.inc.php
===================================================================
--- /extensions/piclens/main.inc.php	(revision 3636)
+++ /extensions/piclens/main.inc.php	(revision 3637)
@@ -71,4 +71,5 @@
  /* 		 Ajout integration piclens sur les tags */
  /* 		 Ajout paramètre pour supprimer les doublons d'image dans le flux rss */
+ /* 		 Ajout traduction ES (merci ddtddt) */
  
 
Index: /extensions/piclens/piclens-rss.php
===================================================================
--- /extensions/piclens/piclens-rss.php	(revision 3636)
+++ /extensions/piclens/piclens-rss.php	(revision 3637)
Index: /extensions/piclens/piclenswall-rss.php
===================================================================
--- /extensions/piclens/piclenswall-rss.php	(revision 3636)
+++ /extensions/piclens/piclenswall-rss.php	(revision 3637)
Index: /extensions/piclens/piclenswall.php
===================================================================
--- /extensions/piclens/piclenswall.php	(revision 3636)
+++ /extensions/piclens/piclenswall.php	(revision 3637)