Index: /branches/2.0/language/de_DE/admin.lang.php
===================================================================
--- /branches/2.0/language/de_DE/admin.lang.php	(revision 3637)
+++ /branches/2.0/language/de_DE/admin.lang.php	(revision 3638)
@@ -77,5 +77,5 @@
 $lang['Deactivate'] = 'Deaktiviere';
 $lang['Delete Representant'] = 'Lösche Vorschaubild';
-$lang['Delete selected tags'] = 'Lösche markierte tags';
+$lang['Delete selected tags'] = 'Lösche markierte Tags';
 $lang['Delete selected users'] = 'Lösche markierte Benutzer';
 $lang['Deletions'] = 'Löschungen';
@@ -87,6 +87,6 @@
 $lang['Does not represent'] = 'Ist nicht Vorschaubild für diese Kategirien';
 $lang['Edit all picture informations'] = 'Bearbeite alle Bildinformationen';
-$lang['Edit selected tags'] = 'Bearbeite markierte tags';
-$lang['Edit tags'] = 'Bearbeite tags';
+$lang['Edit selected tags'] = 'Bearbeite markierte Tags';
+$lang['Edit tags'] = 'Bearbeite Tags';
 $lang['Elements'] = 'Elemente';
 $lang['Email administrators when a new user registers'] = 'sende eine E-Mail an den(die) Adminstrator(en) wenn sich ein neuer Benutzer registriert hat';
@@ -111,5 +111,5 @@
 $lang['Link all category elements to some existing categories'] = 'Verlinkte alle Kategorieelemente zu einer bestehenden Kategorie';
 $lang['Linked categories'] = 'Verlinkte Kategorie';
-$lang['Lock gallery'] = 'SCHLIESSE DIE BILDERGALERIE     VORSICHT, Aussperrgefahr!!!';
+$lang['Lock gallery'] = 'Schliesse die Bildergalerie für Wartungsarbeiten';
 $lang['Maintenance'] = 'Wartung';
 $lang['Manage permissions for a category'] = 'Befugnisse für Kategorien verwalten';
@@ -124,10 +124,10 @@
 $lang['New name'] = 'Neuer Name';
 $lang['New parent category'] = 'Neue Oberkategorie';
-$lang['New tag'] = 'Neuer tag';
-$lang['No tag defined. Use Administration>Pictures>Tags'] = 'Kein tag definiert. Benutze Verwaltung > Elemente > Tags';
+$lang['New tag'] = 'Neuer Tag';
+$lang['No tag defined. Use Administration>Pictures>Tags'] = 'Kein Tag definiert. Benutze Verwaltung > Elemente > Tags';
 $lang['Number of comments per page'] = 'Anzahl von Kommentaren pro Seite';
 $lang['Number of rates'] = 'Anzahl von Bewertungen';
 $lang['Number of thumbnails to create'] = 'Anzahl von zu erstellenden Vorschaubildern';
-$lang['Only private categories are listed'] = 'Nur provate Kategorien aufgeführt';
+$lang['Only private categories are listed'] = 'Nur private Kategorien aufgeführt';
 $lang['Operating system'] = 'Betriebssystem';
 $lang['Options'] = 'Optionen';
@@ -139,10 +139,10 @@
 $lang['Permalink'] = 'Permalink';
 $lang['Permalink_%s_histo_used_by_%s'] = 'Permalink %s wurde vorher Kategorie %s zugewiesen. Lösche ihn zuerst aus der History';
-$lang['Permalink_name_rule'] = 'Ein Permalink darf nur aus folgenden Zeichen bestehen: a-z, A-Z, 0-9, "-" or "_". Er darf nicht nur aus Zahlen bstehen oder mit einer Zal beginnen mit einem darauffolgenden "-"';
+$lang['Permalink_name_rule'] = 'Ein Permalink darf nur aus folgenden Zeichen bestehen: a-z, A-Z, 0-9, "-" or "_". Er darf nicht nur aus Zahlen bestehen oder mit einer Zahl beginnen mit einem darauffolgenden "-"';
 $lang['Permalink %s is already used by category %s'] = 'Permalink %s wird zur Zeit von Kategorie %s benutzt';
-$lang['Permalink history'] = 'Permalink history';
+$lang['Permalink history'] = 'Permalink-Historie';
 $lang['Permalinks'] = 'Permalinks';
 $lang['Permission denied'] = 'Zugriff verweigern';
-$lang['Permission granted thanks to a group'] = 'Durch Zugehörigkeit einer Gruppe gewährte Erlaubnis';
+$lang['Permission granted thanks to a group'] = 'Benutzern durch Zugehörigkeit in einer Gruppe Zugriff erlaubt';
 $lang['Permission granted'] = 'Zugriff erlaubt';
 $lang['Picture informations updated'] = 'Elementinformationen aktualisiert';
@@ -162,5 +162,5 @@
 $lang['Represents'] = 'Ist Vorschaubild für diese Kategorien';
 $lang['Save order'] = 'Reihenfolge speichern';
-$lang['Save to permalink history'] = 'Speichere in der permalink history';
+$lang['Save to permalink history'] = 'Speichere in der Permalink-Historie';
 $lang['Select at least one category'] = 'Mindestens eine Kategorie auswählen';
 $lang['Select at least one picture'] = 'Mindestens ein Element auswählen';
@@ -207,5 +207,5 @@
 $lang['cat_public'] = 'öffentliche Kategorie';
 $lang['cat_representant'] = 'Bestimme ein neues zufälliges Vorschaubild';
-$lang['cat_security'] = 'öffentlich / Privat';
+$lang['cat_security'] = 'Öffentlich / Privat';
 $lang['cat_status_title'] = 'Berechtigungen für ausgewählte Kategorien verwalten';
 $lang['cat_upload_title'] = 'Wähle Uploadkategorie aus';
@@ -215,5 +215,5 @@
 $lang['conf_access'] = 'Zugangsart';
 $lang['conf_comments_title'] = 'Benutzerkommentare';
-$lang['conf_confirmation'] = 'änderungen wurden gespeichert';
+$lang['conf_confirmation'] = 'Änderungen wurden gespeichert';
 $lang['conf_display'] = 'Standartanzeige';
 $lang['conf_history_title'] = 'Statistik';
@@ -353,5 +353,5 @@
 $lang['remote_site_test'] = 'Test';
 $lang['remote_site_test_hint'] = 'testen Remote-Site';
-$lang['remote_site_uncorrect_url'] = 'Die URL einer Remote-Site muss mit "http://" oder "https" und darf als Zeichen, dass "/", "a-zA-Z0-9", "-" oder "_"';
+$lang['remote_site_uncorrect_url'] = 'Die URL einer Remote-Site muss mit "http://" oder "https://" beginnen und darf nur diese Zeichen enthalten "/", "a-zA-Z0-9", "-" oder "_"';
 $lang['remove tags'] = 'Tags entfernen';
 $lang['repair and optimize database'] = 'Reparieren und Optimierung der Datenbank';
@@ -366,5 +366,5 @@
 $lang['site_deleted'] = 'gelöscht';
 $lang['site_err'] = 'ein Fehler ist aufgetreten';
-$lang['site_err_remote_file_not_found'] = 'Die Datei create_listing_file.php wurde nicht gefunden auf dem Remote-Standort';
+$lang['site_err_remote_file_not_found'] = 'Die Datei create_listing_file.php wurde nicht gefunden auf der Remote-Seite';
 $lang['site_local'] = 'Lokal';
 $lang['site_remote'] = 'Remote -';
@@ -396,5 +396,5 @@
 $lang['tn_no_missing'] = 'Keine Miniaturansicht fehlt';
 $lang['tn_no_support'] = 'Bild nicht verfügbar oder wird nicht unterstützt';
-$lang['tn_params_GD'] = 'Version von GD';
+$lang['tn_params_GD'] = 'Version von GD Library';
 $lang['tn_params_title'] = 'Einstellung der Miniaturisierung';
 $lang['tn_results_gen_time'] = 'generiert in';
@@ -480,5 +480,5 @@
 $lang['image'] = 'Bilder';
 $lang['section'] = 'Abschnitt';
-$lang['tags'] = 'tags';
+$lang['tags'] = 'Tags';
 $lang['conf_history_guest'] = 'Speichere Seitenaufrufe von Gästen';
 $lang['conf_history_user'] = 'Speichere Seitenaufrufe pro Benutzer';
@@ -588,5 +588,5 @@
 $lang['plugins_check_chmod'] = 'überprüfen Sie die Berechtigungen des Ordners "Plugins" und dessen Unterordner (CHMOD).';
 $lang['plugins_server_error'] = 'Es konnte keine Verbindung zum Server hergestellt werden.';
-$lang['Purge compiled templates'] = 'Löschen kompilierten Templates';
+$lang['Purge compiled templates'] = 'Löschen der kompilierten Templates';
 $lang['Caddie is currently empty'] = 'Der Sammelkorb ist derzeit leer.';
 $lang['DEMO'] = 'Demo';
@@ -595,6 +595,6 @@
 $lang['BUGS'] = 'Bugs';
 $lang['EXTENSIONS'] = 'Erweiterungen';
-$lang['WIKI / DOC'] = 'Dokumentation';
-$lang['conf_upload_title'] = 'Download';
+$lang['WIKI / DOC'] = 'WIKI / Dokumentation';
+$lang['conf_upload_title'] = 'Upload';
 $lang['Show upload link every time'] = 'Den Uploadlink immer anzeigen';
 $lang['User access level to upload'] = 'Benutzer dürfen Bilder hochladen';
@@ -614,9 +614,9 @@
 $lang['Last hit'] =  'Letzter Zugriff';
 $lang['Hits'] = 'Verwendungen';
-$lang['GD library is missing'] = 'die GD-Library ist nicht vorhanden';
+$lang['GD library is missing'] = 'die GD-Library ist nicht auf dem Server installiert, bitte frage den Administrator oder Provider.';
 $lang['conf_extents'] = 'Templates (Modelle)';
-$lang['extend_for_templates'] = 'Extend für Vorlagen';
-$lang['Replacement of original templates'] = 'Anstelle der ursprünglichen Templates von Template-Ordner an des Template-Erweiterung';
-$lang['Replacers'] = 'Stellvertreter (Templates geändert)';
+$lang['extend_for_templates'] = 'Erweitere für Templates';
+$lang['Replacement of original templates'] = 'Ersetzte originale Templates';
+$lang['Replacers'] = 'Veränderte (Templates geändert)';
 $lang['Original templates'] = 'Originales Templates';
 $lang['Optional URL keyword'] = 'Optionale Parameter in der URL';
@@ -644,13 +644,13 @@
 $lang['%d photos were deleted'] = '%d Fotos wurden gelöscht';
 $lang['Bound template'] = 'Verbundenes Template';
-/* TODO */ $lang['Downloads'] = 'Downloads';
-/* TODO */ $lang['Released on'] = 'Released on';
-/* TODO */ $lang['Number of downloads'] = 'Number of downloads';
+$lang['Downloads'] = 'Downloads';
+$lang['Released on'] = 'Veröffentlicht am';
+$lang['Number of downloads'] = 'Anzahl der Downloads';
 // --------- Starting below: New or revised $lang ---- from Colibri
-/*TODO*/$lang['Piwigo Announcements Newsletter'] = 'Piwigo Announcements Newsletter';
-/*TODO*/$lang['Subscribe to Piwigo Announcements Newsletter'] = 'Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.';
-/*TODO*/$lang['Subscribe %s'] = 'Subscribe %s';
-/*TODO*/$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Subscribe %s to Piwigo English Announcements Newsletter';
-/*TODO*/$lang['Purge search history'] = 'Purge search history';
-/*TODO*/$lang['Hide'] = 'Hide';
+$lang['Piwigo Announcements Newsletter'] = 'Piwigo Newsletter';
+$lang['Subscribe to Piwigo Announcements Newsletter'] = 'Bleibe in Verbindung mit dem, abonniere den Piwigo Newsletter. Du bekommst eine E-Mail wenn eine neue Version verfügbar ist (manchmal wird ein Bug gefixt, der die Sicherheit der Piwigo erhöht, es ist dann wichtig, das Upgrade zu installieren) und wenn es wichtige Ereignisse rund um das Projekt gibt. Es sind nur ein paar E-Mails im Jahr.';
+$lang['Subscribe %s'] = 'Abonnieren %s';
+$lang['Subscribe %s to Piwigo Announcements Newsletter'] = 'Abonniere %s zum englischen Piwigo Newsletter';
+$lang['Purge search history'] = 'Lösche die Such-Historie';
+$lang['Hide'] = 'Verstecken';
 ?>
Index: /branches/2.0/language/de_DE/help.html
===================================================================
--- /branches/2.0/language/de_DE/help.html	(revision 3637)
+++ /branches/2.0/language/de_DE/help.html	(revision 3638)
@@ -15,5 +15,5 @@
     style="display:none"
   >
-<!--TODO-->    <p><a href="http://piwigo.org/ext/extension_view.php?eid=270">pLoader for Windows</a> or <a href="http://piwigo.org/ext/extension_view.php?eid=269">pLoader for Linux</a> : description, download and details about new revisions.</p>
+<p><a href="http://piwigo.org/ext/extension_view.php?eid=270">pLoader for Windows</a> oder <a href="http://piwigo.org/ext/extension_view.php?eid=269">pLoader for Linux</a> : Erklärung, Download and Details über neue Revisionen.</p>
     <ol>
       <li>Erstelle in deiner Piwigo Installation im Ordner "galleries" einen Ordner "upload" mit Schreibzugriff.</li>
Index: /branches/2.0/language/de_DE/install.lang.php
===================================================================
--- /branches/2.0/language/de_DE/install.lang.php	(revision 3637)
+++ /branches/2.0/language/de_DE/install.lang.php	(revision 3638)
@@ -64,11 +64,11 @@
 
 $lang['PHP 5 is required'] = 'PHP 5 ist erforderlich';
-$lang['It appears your webhost is currently running PHP %s.'] = 'Es scheint Ihr Webhost ist derzeit laufenden PHP %s.';
-$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo wird versuchen um Ihre Konfiguration zu PHP 5 Schalten durch die Schaffung oder Änderung einer .Htaccess-Datei.';
-$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Hinweis: Sie können Ihre Konfiguration indem manuel Schalten und starten Sie wieder dass Piwigo.';
-$lang['Try to configure PHP 5'] = 'Versuch zu konfigurieren PHP 5';
-$lang['Sorry!'] = 'Bekümmert!';
-$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo kan nicht PHP 5 zu konfigurieren.';
-$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Sie können sich beziehen auf Ihrem Hosting-Anbieter die Unterstützung und sehen wie Sie könnte Umstellung auf PHP 5 von Ihnen.";
-$lang['Hope to see you back soon.'] = 'Hoffen, Sie bald wieder zurück.';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Warscheinlich läuft auf ihrem Webhost die PHP-Version %s.';
+$lang['Piwigo may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Piwigo wird versuchen ihre Konfiguration auf PHP 5 zu schalten durch die Erstellung oder Änderung einer .htaccess-Datei.';
+$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Hinweis: Sie können Ihre Konfiguration manuel ändern und die Piwigo danach neu starten.';
+$lang['Try to configure PHP 5'] = 'Versuche PHP 5 zu konfigurieren';
+$lang['Sorry!'] = 'Entschuldigung!';
+$lang['Piwigo was not able to configure PHP 5.'] = 'Piwigo ist nicht in der Lage PHP 5 zu konfigurieren.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Sie können Kontakt zu ihrem Hosting-Provider aufnehmen und um Unterstützung bitten zur Umstellung auf PHP 5.";
+$lang['Hope to see you back soon.'] = 'Wir hoffen, Sie sind bald wieder zurück.';
 ?>