Index: extensions/floOs/fix-ie7.css
===================================================================
--- extensions/floOs/fix-ie7.css	(revision 3618)
+++ extensions/floOs/fix-ie7.css	(revision 3644)
@@ -1,3 +1,2 @@
-/* $Id: fix-ie7.css 2352 2008-05-20 00:27:26Z patdenice $ */
 /* fix IE with another layout for thumbnails */
 
Index: extensions/floOs/picture.css
===================================================================
--- extensions/floOs/picture.css	(revision 3618)
+++ extensions/floOs/picture.css	(revision 3644)
@@ -1,8 +1,9 @@
 /* $Id: picture.css 2295 2008-04-02 00:51:08Z rvelices $ */
 #imageHeaderBar {
-  padding-top: 2px;
-  padding-bottom: 2px;
-  overflow: hidden;
-  width: 100%;
+	padding-top: 2px;
+	padding-bottom: 2px;
+	margin-top: 4px;
+	overflow: hidden;
+	width: 100%;
 }
 
@@ -35,10 +36,10 @@
 }
 #imageToolBar A, #imageToolBar IMG {
-    display: block;
+    display: inline;
     margin: 0; padding: 0;
 }
 #imageToolBar A {
-width: auto; 
-margin: auto 10px;
+	margin-right: 3px;
+	margin-left: 5px;
 }
 #imageToolBar IMG { margin: 2px auto; }
Index: extensions/floOs/theme/glass/themeconf.inc.php
===================================================================
--- extensions/floOs/theme/glass/themeconf.inc.php	(revision 3618)
+++ extensions/floOs/theme/glass/themeconf.inc.php	(revision 3644)
@@ -20,5 +20,44 @@
 });
   
-  </script>',
+  </script>
+    <!--[if lt IE 7]>
+<style>
+	#menubar dl, #section_in {
+	background:  #FFF!important;
+	}
+	/* contenu "section" */
+	#section_up_left, #section_up, #section_up_right, #section_left, #section_bottom_left, #section_bottom, #section_bottom_right, #section_right{
+	background:none!important;
+	}
+</style>
+<![endif]-->
+<!--[if IE 7]>
+<style>
+	#menubar dl, #section_in {
+	background:  #FFF!important;
+	}
+	/* contenu "section" */
+	#section_up_left, #section_up, #section_up_right, #section_left, #section_bottom_left, #section_bottom, #section_bottom_right, #section_right{
+	background:none!important;
+	}
+	BODY#theCommentsPage .content,
+	BODY#theUploadPage .content,
+	BODY#theRegisterPage .content,
+	BODY#theIdentificationPage .content,
+	BODY#theProfilePage .content,
+	BODY#theSearchPage .content,
+	BODY#theAboutPage .content,
+	BODY#thePopuphelpPage .content,
+	BODY#thePasswordPage .content,
+	BODY#theNotificationPage .content,
+	BODY#theTagsPage .content,
+	BODY#theNBMPage .content,
+	#action_pict,
+	#comments
+	{
+	background:  #FFF!important;
+	}
+</style>
+',
 );
 ?>
Index: extensions/floOs/theme/glass_clear/theme.css
===================================================================
--- extensions/floOs/theme/glass_clear/theme.css	(revision 3618)
+++ extensions/floOs/theme/glass_clear/theme.css	(revision 3644)
@@ -52,5 +52,5 @@
 background: transparent url(images/section_in.png) repeat top center;
 }
-#comments H3, .titrePage h2 {
+#comments H3, .titrePage h2, #section_in h2 {
 	background-image: url(images/boutton.png);
 	background-repeat:repeat-x;
Index: extensions/floOs/theme/glass_clear/themeconf.inc.php
===================================================================
--- extensions/floOs/theme/glass_clear/themeconf.inc.php	(revision 3618)
+++ extensions/floOs/theme/glass_clear/themeconf.inc.php	(revision 3644)
@@ -20,5 +20,46 @@
 });
   
-  </script>',
+  </script>
+  <!--[if lt IE 7]>
+<style>
+	#menubar dl, #section_in {
+	background:  #FFF!important;
+	}
+	/* contenu "section" */
+	#section_up_left, #section_up, #section_up_right, #section_left, #section_bottom_left, #section_bottom, #section_bottom_right, #section_right{
+	background:none!important;
+	}
+</style>
+<![endif]-->
+<!--[if IE 7]>
+<style>
+	#menubar dl, #section_in {
+	background:  #FFF!important;
+	}
+	/* contenu "section" */
+	#section_up_left, #section_up, #section_up_right, #section_left, #section_bottom_left, #section_bottom, #section_bottom_right, #section_right{
+	background:none!important;
+	}
+	BODY#theCommentsPage .content,
+	BODY#theUploadPage .content,
+	BODY#theRegisterPage .content,
+	BODY#theIdentificationPage .content,
+	BODY#theProfilePage .content,
+	BODY#theSearchPage .content,
+	BODY#theAboutPage .content,
+	BODY#thePopuphelpPage .content,
+	BODY#thePasswordPage .content,
+	BODY#theNotificationPage .content,
+	BODY#theTagsPage .content,
+	BODY#theNBMPage .content,
+	#action_pict,
+	#comments
+	{
+	background:  #FFF!important;
+	}
+</style>
+<![endif]-->
+
+  ',
 );
 ?>
Index: extensions/floOs/theme/glass_dark/theme.css
===================================================================
--- extensions/floOs/theme/glass_dark/theme.css	(revision 3618)
+++ extensions/floOs/theme/glass_dark/theme.css	(revision 3644)
@@ -52,5 +52,5 @@
 background: transparent url(images/section_in.png) repeat top center;
 }
-#comments H3, .titrePage h2 {
+#comments H3, .titrePage h2, #section_in h2 {
 	background-image: url(images/fondMenu2.gif);
 	background-repeat:repeat-x;
@@ -204,5 +204,5 @@
 .content UL.thumbnailCategories DIV.thumbnailCategory:hover A {
   border-color: #002024;
-  color: #0066CC;
+  color: #42B4FF;
 }
 .thumbnailCategory IMG {
@@ -216,6 +216,6 @@
 
 A:hover, INPUT.rateButton:hover {
-    color: #0066CC;
-    border-bottom: none;
+	color: #42B4FF;
+	border-bottom: none;
 	font-weight:bold;
 }
@@ -235,4 +235,7 @@
 	text-decoration: none;
     border-bottom: none;
+}
+.header_notes A {
+    color: #333;
 }
 /* Picture */
Index: extensions/floOs/theme/glass_dark/themeconf.inc.php
===================================================================
--- extensions/floOs/theme/glass_dark/themeconf.inc.php	(revision 3618)
+++ extensions/floOs/theme/glass_dark/themeconf.inc.php	(revision 3644)
@@ -20,5 +20,44 @@
 });
   
-  </script>',
+  </script>
+    <!--[if lt IE 7]>
+<style>
+	#menubar dl, #section_in {
+	background:  #151a1e!important;
+	}
+	/* contenu "section" */
+	#section_up_left, #section_up, #section_up_right, #section_left, #section_bottom_left, #section_bottom, #section_bottom_right, #section_right{
+	background:none!important;
+	}
+</style>
+<![endif]-->
+<!--[if IE 7]>
+<style>
+	#menubar dl, #section_in {
+	background:  #151a1e!important;
+	}
+	/* contenu "section" */
+	#section_up_left, #section_up, #section_up_right, #section_left, #section_bottom_left, #section_bottom, #section_bottom_right, #section_right{
+	background:none!important;
+	}
+	BODY#theCommentsPage .content,
+	BODY#theUploadPage .content,
+	BODY#theRegisterPage .content,
+	BODY#theIdentificationPage .content,
+	BODY#theProfilePage .content,
+	BODY#theSearchPage .content,
+	BODY#theAboutPage .content,
+	BODY#thePopuphelpPage .content,
+	BODY#thePasswordPage .content,
+	BODY#theNotificationPage .content,
+	BODY#theTagsPage .content,
+	BODY#theNBMPage .content,
+	#action_pict,
+	#comments
+	{
+	background:  #151a1e!important;
+	}
+</style>
+',
 );
 ?>
Index: extensions/floOs/tools/language/fr_FR/template.lang.php
===================================================================
--- extensions/floOs/tools/language/fr_FR/template.lang.php	(revision 3618)
+++ extensions/floOs/tools/language/fr_FR/template.lang.php	(revision 3644)
@@ -1,5 +1,5 @@
 <?php
 
-$lang['floOS_update_needed'] = 'Votre version de floOS n\'est pas à jour : <a href="http://fr.piwigo.org/ext/extension_view.php?eid=230" title="aller à la mise à jour" target="_blank" >cliquez ici pour accéder à la dernière révision du template floOS</a>';
+$lang['floOS_update_needed'] = 'Votre version de floOS n\'est pas à jour : <a href="http://fr.piwigo.org/ext/extension_view.php?eid=230" title="aller à la mise à jour" >cliquez ici pour accéder à la dernière révision du template floOS</a>';
 	$lang['theme_update_needed_1'] = 'Le thème ';
 	$lang['theme_update_needed_2'] = ' n\'est pas à jour : <a href="http://fr.piwigo.org/ext/extension_view.php?eid=';
Index: extensions/floOs/tools/version.conf.php
===================================================================
--- extensions/floOs/tools/version.conf.php	(revision 3618)
+++ extensions/floOs/tools/version.conf.php	(revision 3644)
@@ -2,5 +2,5 @@
 $floOS_conf = array(
   'name' => 'floOS',
-  'version' => '1.0.0',
+  'version' => '1.0.4',
 );
 