Index: /extensions/addThis/language/zh_CN/index.php
===================================================================
--- /extensions/addThis/language/zh_CN/index.php	(revision 3646)
+++ /extensions/addThis/language/zh_CN/index.php	(revision 3646)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/addThis/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/addThis/language/zh_CN/plugin.lang.php	(revision 3646)
+++ /extensions/addThis/language/zh_CN/plugin.lang.php	(revision 3646)
@@ -0,0 +1,44 @@
+<?php
+/*
+ * Plugin Name: AddThis
+ * Version: 0.0.3
+ * Description: Addthis activation
+ * Plugin URI: http://fr.piwigo.org/ext/extension_view.php
+ * Author: Tiico
+ * Author URI: 
+ * */
+/********* Fichier EN plugin.lang.php  *********/
+// AddThis button
+$lang['adthis_admin_title'] = 'Addthis 插件配置';
+$lang['addthis_bannercfg_title'] = '参数查看';
+$lang['addthis_bannerselect_label'] = 'Addthis 查看类型';
+$lang['addthis_Home_label'] = '首页';
+$lang['addthis_Cat_label'] = '类别';
+$lang['addthis_Img_label'] = '相片';
+$lang['addthis_Disable_label'] = '关闭';
+$lang['addthis_freetext_label'] = '自由文字 : ';
+$lang['addthis_icnonb_label'] = '只有图标 (限制到 ';
+$lang['addthis_paramcfg_title'] = '参数配置';
+$lang['addthis_optionselect_label'] = '可以通过以下的选项对 Addthis 菜单进行设置';
+$lang['addthis_pub_label'] = 'AddThis 帐号 ID [可选]';
+$lang['addthis_brand_label'] = '链接标题 [可选]';
+$lang['addthis_languser_label'] = '使用用户语言 ';
+$lang['addthis_language_label'] = '默认语言 : ';
+$lang['addthis_headerbackground_label'] = '背景菜单颜色 [可选] : ';
+$lang['addthis_headercolor_label'] = '文本菜单颜色  [可选] : ';
+$lang['addthis_top_label'] = '水平';
+$lang['addthis_left_label'] = '垂直';
+$lang['addthis_offset_label'] = '菜单坐标 [可选] :';
+$lang['addthis_hover_delay_label'] = '菜单出现延迟 [可选] :';
+$lang['addthis_iconcfg_title'] = '图标和链接到AddThis菜单';
+
+$lang['addthis_admin_submit'] = '保存';
+$lang['addthis_admin_submit_default_parameters'] = '默认参数';
+$lang['addthis_admin_icon_nb'] = '警告 : 图标的序号非常重要';
+$lang['addthis_admin_saveOK'] = '参数已保存';
+$lang['addthis_admin_defautvalueOK'] = '恢复默认参数';
+
+
+
+
+?>