Index: extensions/piclens/CHANGELOG
===================================================================
--- extensions/piclens/CHANGELOG	(revision 3645)
+++ extensions/piclens/CHANGELOG	(revision 3647)
@@ -15,11 +15,13 @@
 		 Migration depuis 0.3.x : Récupération et conversion des anciens paramètres noms et descriptions
 		 
-
 Version 0.3.x
 -------------		 
 0.3.6 --> Ajout parametres supplementaires du mur embeded  
-0.3.5 --> Ajout integration balises Extended Description dans le nom des categories 
- 		Correction dans la traduction chinoise simplifiée 
- 		Correction page admin : titre mur 3D non sauvegarde
+0.3.5 --> Ajout integration balises Extended Description dans le nom des categories
+          Correction dans la traduction chinoise simplifié
+          Correction page admin : titre mur 3D non sauvegarde
+          Ajout parametre nombre lignes pour le mur 3D embeded
+          Ajout possibilit?e ne pas afficher de titre sous les images
+          Ajout/correction tri par rang de l'image
 0.3.4 --> [MAJEUR] Correction de "l'emballement des hit images" lie a la selection des images depuis les categories speciales
  		Correction patch pour lien en https 
Index: extensions/piclens/admin/rssfeed.php
===================================================================
--- extensions/piclens/admin/rssfeed.php	(revision 3645)
+++ extensions/piclens/admin/rssfeed.php	(revision 3647)
@@ -14,5 +14,5 @@
 $me = get_plugin_data($plugin_id);
 
-$order_list = array(l10n('piclens_label_orderPiwigo'), l10n('piclens_label_orderCreDate'), l10n('piclens_label_orderAddDate'), l10n('piclens_label_orderRank'), l10n('piclens_label_orderBest'), l10n('piclens_label_orderName'), l10n('piclens_label_orderID'), l10n('piclens_label_orderRand'), l10n('piclens_label_orderCat'));
+$order_list = array(l10n('piclens_label_orderPiwigo'), l10n('piclens_label_orderCreDate'), l10n('piclens_label_orderAddDate'), l10n('piclens_label_orderAverage'), l10n('piclens_label_orderBest'), l10n('piclens_label_orderName'), l10n('piclens_label_orderID'), l10n('piclens_label_orderRand'), l10n('piclens_label_orderCat'), l10n('piclens_label_orderRank'));
 $sort_list = array(l10n('piclens_label_sortPiwigo'), l10n('piclens_label_sortUp'), l10n('piclens_label_sortDown'));
 
Index: extensions/piclens/generate_rss.php
===================================================================
--- extensions/piclens/generate_rss.php	(revision 3645)
+++ extensions/piclens/generate_rss.php	(revision 3647)
@@ -37,5 +37,5 @@
 	$thumb_secure = array('', '&amp;thumb=1', '');	// correspondant a 1-->'miniature' et 2-->'normal'
 	$normal_secure = array('', '&amp;thumb=1', '', '&amp;highdef=1');	// correspondant a 1-->'miniature' et 2-->'normal' et 3 --> High
-	$order_list = array('', $conf['order_by_inside_category'], 'ORDER BY date_creation', 'ORDER BY date_available', 'ORDER BY average_rate', 'ORDER BY hit', 'ORDER BY file', 'ORDER BY id', 'ORDER BY RAND()', 'ORDER BY category_id');	
+	$order_list = array('', $conf['order_by_inside_category'], 'ORDER BY date_creation', 'ORDER BY date_available', 'ORDER BY average_rate', 'ORDER BY hit', 'ORDER BY file', 'ORDER BY id', 'ORDER BY RAND()', 'ORDER BY category_id', 'ORDER BY category_id, rank ');	
 	$order_sort = array('', '', ' ASC', ' DESC');
 
@@ -563,6 +563,14 @@
 				case 3 : 
 					if (isset($row['comment']))
-						echo '<media:description type="html"><![CDATA['.$row['comment'].']]> </media:description>';					
-					break;
+                                                    { 
+                                                        if ($plugins_ExtendedDesc)      // Extended description compatibility 
+                                                        { 
+                                                            $desc=trigger_event('render_element_description',$row['comment']); 
+                                                            echo '<media:description type="html"><![CDATA['.$desc.']]> </media:description>'; 
+                                                        } 
+                                                        else 
+                                                            echo '<media:description type="html"><![CDATA['.$row['comment'].']]> </media:description>';                                      
+                                                    } 
+                                        break;
 				default :
 					break;