Index: /extensions/piclens/CHANGELOG
===================================================================
--- /extensions/piclens/CHANGELOG	(revision 3648)
+++ /extensions/piclens/CHANGELOG	(revision 3649)
@@ -14,4 +14,7 @@
 		 Nettoyage code (entête et code)
 		 Migration depuis 0.3.x : Récupération et conversion des anciens paramètres noms et descriptions
+              et Désinstallation ==> suppression des paramètres dans la base
+         Ajout personnalisation icone du flux dans cooliris
+         
 		 
 Version 0.3.x
Index: /extensions/piclens/admin/rssfeed.php
===================================================================
--- /extensions/piclens/admin/rssfeed.php	(revision 3648)
+++ /extensions/piclens/admin/rssfeed.php	(revision 3649)
@@ -54,6 +54,6 @@
   $me->my_config['piclens_maxcomment_nb'] = $_POST['piclens_maxcomment_nb'];
     
-
-
+  $me->my_config['piclens_rss_icon'] = $_POST['piclens_rss_icon'];
+    
     
   $me->save_config();
@@ -138,8 +138,9 @@
 	'PICLENS_VIDEO'		=>  $me->my_config['piclens_video'] ? 'checked="checked"' : '',
 	'PICLENS_CAT_VIEW'	=> $me->my_config['piclens_cat_view'] ? 'checked="checked"' : '',
-	'PICLENS_RSS_NAME'	=> $me->my_config['piclens_rss_name'],
-	'PICLENS_RSS_DESC'	=>  $me->my_config['piclens_rss_desc'],
+	'PICLENS_RSS_NAME'	=>  $me->my_config['piclens_rss_name'],
+	'PICLENS_RSS_DESC'	=>   $me->my_config['piclens_rss_desc'],
 	'PICLENS_EXCLUDE_DOUBLE'	=>  $me->my_config['piclens_exclude_double'] ? 'checked="checked"' : '',
 	'PICLENS_MAXCOMMENT_NB'		=> $me->my_config['piclens_maxcomment_nb'],
+	'PICLENS_RSS_ICON'	=>   $me->my_config['piclens_rss_icon'],
 	));
 
Index: /extensions/piclens/admin/rssfeed.tpl
===================================================================
--- /extensions/piclens/admin/rssfeed.tpl	(revision 3648)
+++ /extensions/piclens/admin/rssfeed.tpl	(revision 3649)
@@ -226,9 +226,9 @@
 <table>
     <tr>
-        <td>{'piclens_rsscfg_name'|@translate}</td>
+        <td>{'piclens_rsscfg_name'|@translate}&nbsp;:</td>
         <td><input type="text" size="65" maxlength="255" value="{$PICLENS_RSS_NAME}" name="piclens_rss_name" /></td>
     </tr>
-       <tr>
-        <td>{'piclens_rsscfg_desc'|@translate}</td>
+    <tr>
+        <td>{'piclens_rsscfg_desc'|@translate}&nbsp;:</td>
         <td><input type="text" size="65" maxlength="255" value="{$PICLENS_RSS_DESC}" name="piclens_rss_desc" /></td>
     </tr>
@@ -236,4 +236,15 @@
 </table>
 </fieldset>
+
+<fieldset>
+    <table>
+    <tr>
+        <td>{'piclens_rss_icon'|@translate}&nbsp;:</td>
+        <td><input type="text" size="65" maxlength="255" value="{$PICLENS_RSS_ICON}" name="piclens_rss_icon" /></td>
+    </tr>
+    
+
+    </table>
+</fieldset>
  
 <p><input type="submit" name="submit" value="{'piclens_admin_submit'|@translate}" /></p>
Index: /extensions/piclens/generate_rss.php
===================================================================
--- /extensions/piclens/generate_rss.php	(revision 3648)
+++ /extensions/piclens/generate_rss.php	(revision 3649)
@@ -379,4 +379,6 @@
 		echo "\n";
 
+        
+        
 		//	<!--	<title>test Page</title> -->
 		echo '<link>'.$obj->root_site_piclens.'</link>';
@@ -399,6 +401,11 @@
 		// Icone de la gallerie dans le flux RSS
 		echo "\n";
-		echo '<atom:icon>'.$obj->root_site_piclens.'template-common/favicon.ico</atom:icon>';
-		echo "\n";
+		echo '<atom:icon>'
+                .(strlen($obj->my_config['piclens_rss_icon'])
+                                    ? $obj->my_config['piclens_rss_icon']
+                                    : $obj->root_site_piclens.'template-common/favicon.ico')
+                .'</atom:icon>';
+		echo "\n";
+
 
 		// Pour chacune des images, preparation du flux xml
@@ -510,9 +517,14 @@
                   ."]]></title>\n";
 
+            // not media:description for normal piclens to show description
+            echo '<description><![CDATA['
+                .parse($obj->my_config['piclens_rss_desc'], $row, $plugins_ExtendedDesc, $obj->my_config['piclens_maxcomment_nb'])
+                .']]> </description>';
 
             echo '<media:description type="html"><![CDATA['
                 .parse($obj->my_config['piclens_rss_desc'], $row, $plugins_ExtendedDesc, $obj->my_config['piclens_maxcomment_nb'])
                 .']]> </media:description>';
-                 
+
+                
 /*			
 			//  Extended description for the comment and category name
Index: /extensions/piclens/include/Piclens.class.php
===================================================================
--- /extensions/piclens/include/Piclens.class.php	(revision 3648)
+++ /extensions/piclens/include/Piclens.class.php	(revision 3649)
@@ -321,5 +321,6 @@
 		     if(is_string($row[0])) 
 			 {
-		        $this->my_config = unserialize($row[0]);
+//		        $this->my_config = unserialize($row[0]);
+		        $this->my_config = unserialize(($row[0]));
 		     }
 	    }
@@ -368,5 +369,5 @@
 	      VALUES(
 	        \''.PICLENS_CFG_DB.'\',
-	        \''.serialize($this->my_config).'\',
+	        \''.(serialize($this->my_config)).'\',
 	        \'Configuration de Piclens\')
 	    ;';
Index: /extensions/piclens/include/default_values.inc.php
===================================================================
--- /extensions/piclens/include/default_values.inc.php	(revision 3648)
+++ /extensions/piclens/include/default_values.inc.php	(revision 3649)
@@ -85,3 +85,4 @@
 $piclens_default_values['piclens_exclude_double']	= false; // Suppression des doublons
 $piclens_default_values['piclens_maxcomment_nb']	= 1;	// derniers commentaires
+$piclens_default_values['piclens_rss_icon'] = "";
 ?>
Index: /extensions/piclens/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/piclens/language/en_UK/plugin.lang.php	(revision 3648)
+++ /extensions/piclens/language/en_UK/plugin.lang.php	(revision 3649)
@@ -207,4 +207,4 @@
 $lang['piclens_tags_label']		= 'Tags';
 $lang['piclens_rsscfg_exclude_double']	= 'Suppress double picture in the feed (same path)';
-
+$lang['piclens_rss_icon']		= 'URL for Cooliris feed Icon';
 ?>
Index: /extensions/piclens/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/piclens/language/es_ES/plugin.lang.php	(revision 3648)
+++ /extensions/piclens/language/es_ES/plugin.lang.php	(revision 3649)
@@ -213,5 +213,4 @@
 $lang['piclens_tags_label']		= 'Tags';
 $lang['piclens_rsscfg_exclude_double']	= 'Supresión de los doblones de imagen en el flujo (el mismo repertorio de acceso)';
-
-
+$lang['piclens_rss_icon']		= 'URL de la alimentación en el icono de Cooliris';
 ?>
Index: /extensions/piclens/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/piclens/language/fr_FR/plugin.lang.php	(revision 3648)
+++ /extensions/piclens/language/fr_FR/plugin.lang.php	(revision 3649)
@@ -209,3 +209,4 @@
 $lang['piclens_tags_label']		= 'Tags';
 $lang['piclens_rsscfg_exclude_double']	= 'Suppression des doublons d\'image dans le flux (même répertoire d\'accès)';
+$lang['piclens_rss_icon']		= 'URL de l\'icone du flux dans Cooliris';
 ?>
Index: /extensions/piclens/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/piclens/language/zh_CN/plugin.lang.php	(revision 3648)
+++ /extensions/piclens/language/zh_CN/plugin.lang.php	(revision 3649)
@@ -207,5 +207,5 @@
 $lang['piclens_tags_label']		= '标签';
 $lang['piclens_rsscfg_exclude_double']	= '在RSS订阅里禁止重复图片 (相同的路径)';
-
-
+//TO DO
+$lang['piclens_rss_icon']		= 'URL for Cooliris feed Icon';
 ?>
Index: /extensions/piclens/maintain.inc.php
===================================================================
--- /extensions/piclens/maintain.inc.php	(revision 3648)
+++ /extensions/piclens/maintain.inc.php	(revision 3649)
@@ -39,4 +39,12 @@
 function plugin_uninstall()
 {
+
+	$query = '
+      DELETE FROM '.CONFIG_TABLE.'
+	  WHERE param = \''.basename(dirname(__FILE__)).'\'
+	;';
+
+	pwg_query($query);
+
 }
 