Index: extensions/floOS/index.tpl
===================================================================
--- extensions/floOS/index.tpl	(revision 3648)
+++ extensions/floOS/index.tpl	(revision 3652)
@@ -5,11 +5,6 @@
     <tr>
       <td id="section_up_left">&nbsp;</td>
-      <td id="section_up">&nbsp;</td>
-      <td id="section_up_right">&nbsp;</td>
-    </tr>
-    <tr>
-      <td id="section_left">&nbsp;</td>
-      <td id="section_in">
-	  <div class="titrePage">
+      <td id="section_up">
+	  	  <div class="titrePage">
 		<ul class="categoryActions">
 		  {if !empty($image_orders) }
@@ -76,5 +71,11 @@
 	
 	  </div> <!-- titrePage -->
-		
+
+	  </td>
+      <td id="section_up_right">&nbsp;</td>
+    </tr>
+    <tr>
+      <td id="section_left">&nbsp;</td>
+      <td id="section_in">
 		{if !empty($PLUGIN_INDEX_CONTENT_BEGIN)}{$PLUGIN_INDEX_CONTENT_BEGIN}{/if}
 		
Index: extensions/floOS/mail/text/html/cat_group_info.tpl
===================================================================
--- extensions/floOS/mail/text/html/cat_group_info.tpl	(revision 3652)
+++ extensions/floOS/mail/text/html/cat_group_info.tpl	(revision 3652)
@@ -0,0 +1,9 @@
+{* $Id: cat_group_info.tpl 2278 2008-03-13 01:43:45Z rvelices $ *}
+<div id="cat_group_info">
+<h2>{'Informations'|@translate}</h2>
+<p>{$IMG_URL}</p>
+<p>{'Hello,'|@translate}</p>
+<p>{'Come to discover the category:'|@translate} <a href="{$LINK}">{$CAT_NAME}</a></p>
+<p>{$CPL_CONTENT}</p>
+<p>{'See you soon.'|@translate}</p>
+</div>
Index: extensions/floOS/mail/text/html/notification_by_mail.tpl
===================================================================
--- extensions/floOS/mail/text/html/notification_by_mail.tpl	(revision 3652)
+++ extensions/floOS/mail/text/html/notification_by_mail.tpl	(revision 3652)
@@ -0,0 +1,57 @@
+{* $Id: notification_by_mail.tpl 2285 2008-03-18 23:43:38Z rvelices $ *}
+<div id="nbm_message">
+<h2>{'Notification'|@translate}</h2>
+<p>{'nbm_content_hello_1'|@translate}{$USERNAME}{'nbm_content_hello_2'|@translate}</p>
+
+{if isset($subscribe_by_admin)}
+<p>{'nbm_content_subscribe_by_admin'|@translate}</p>
+{/if}
+{if isset($subscribe_by_himself)}
+<p>{'nbm_content_subscribe_by_himself'|@translate}</p>
+{/if}
+{if isset($unsubscribe_by_admin)}
+<p>{'nbm_content_unsubscribe_by_admin'|@translate}</p>
+{/if}
+{if isset($unsubscribe_by_himself)}
+<p>{'nbm_content_unsubscribe_by_himself'|@translate}</p>
+{/if}
+{if isset($content_new_elements_single)}
+<p>{'nbm_content_new_elements'|@translate}{'nbm_content_new_elements_single'|@translate}{$content_new_elements_single.DATE_SINGLE}.</p>
+{/if}
+{if isset($content_new_elements_between)}
+<p>{'nbm_content_new_elements'|@translate}{'nbm_content_new_elements_between_1'|@translate}{$content_new_elements_between.DATE_BETWEEN_1}{'nbm_content_new_elements_between_2'|@translate}{$content_new_elements_between.DATE_BETWEEN_2}.</p>
+{/if}
+
+{if not empty($global_new_lines)}
+<ul id="nbm_new_line">
+{foreach from=$global_new_lines item=line}
+  <li>{$line}</li>
+{/foreach}
+</ul>
+{/if}
+
+{if not empty($custom_mail_content)}
+<p>{$custom_mail_content}</p>
+{/if}
+
+{if not empty($GOTO_GALLERY_TITLE)}
+<p>{'nbm_content_goto_1'|@translate}<a href="{$GOTO_GALLERY_URL}">{$GOTO_GALLERY_TITLE}</a>{'nbm_content_goto_2'|@translate}</p>
+{/if}
+<p>{'nbm_content_byebye'|@translate}</p>
+<p style="text-align:center">{$SEND_AS_NAME}</p>
+<p>
+<br/><hr/>
+{'nbm_content_unsubscribe_link'|@translate}{'nbm_content_click_on'|@translate}<a href="{$UNSUBSCRIBE_LINK}">{$UNSUBSCRIBE_LINK}</a><br/>
+{'nbm_content_subscribe_link'|@translate}{'nbm_content_click_on'|@translate}<a href="{$SUBSCRIBE_LINK}">{$SUBSCRIBE_LINK}</a><br/>
+{'nbm_content_problem_contact'|@translate}<a href="mailto:{$CONTACT_EMAIL}?subject={'nbm_content_pb_contact_object'|@translate}">{$CONTACT_EMAIL}</a><br/>
+<hr/><br/>
+</p>
+{if not empty($recent_posts)}
+</div>
+<div id="nbm_recent_post">
+  {foreach from=$recent_posts item=recent_post }
+  <h2>{$recent_post.TITLE}</h2>
+  {$recent_post.HTML_DATA}
+  {/foreach}
+{/if}
+</div>
Index: extensions/floOS/mail/text/plain/cat_group_info.tpl
===================================================================
--- extensions/floOS/mail/text/plain/cat_group_info.tpl	(revision 3652)
+++ extensions/floOS/mail/text/plain/cat_group_info.tpl	(revision 3652)
@@ -0,0 +1,9 @@
+{* $Id: cat_group_info.tpl 2278 2008-03-13 01:43:45Z rvelices $ *}
+{'Hello,'|@translate}
+
+{'Come to discover the category:'|@translate} {$CAT_NAME}
+{$LINK}
+
+{$CPL_CONTENT}
+
+{'See you soon.'|@translate}
Index: extensions/floOS/mail/text/plain/notification_by_mail.tpl
===================================================================
--- extensions/floOS/mail/text/plain/notification_by_mail.tpl	(revision 3652)
+++ extensions/floOS/mail/text/plain/notification_by_mail.tpl	(revision 3652)
@@ -0,0 +1,42 @@
+{* $Id: notification_by_mail.tpl 2285 2008-03-18 23:43:38Z rvelices $ *}
+{'nbm_content_hello_1'|@translate}{$USERNAME}{'nbm_content_hello_2'|@translate}
+
+{if isset($subscribe_by_admin)}
+{'nbm_content_subscribe_by_admin'|@translate}
+{/if}
+{if isset($subscribe_by_himself)}
+{'nbm_content_subscribe_by_himself'|@translate}
+{/if}
+{if isset($unsubscribe_by_admin)}
+{'nbm_content_unsubscribe_by_admin'|@translate}
+{/if}
+{if isset($unsubscribe_by_himself)}
+{'nbm_content_unsubscribe_by_himself'|@translate}
+{/if}
+{if isset($content_new_elements_single)}
+{'nbm_content_new_elements'|@translate}{'nbm_content_new_elements_single'|@translate}{$content_new_elements_single.DATE_SINGLE}.
+{/if}
+{if isset($content_new_elements_between)}
+{'nbm_content_new_elements'|@translate}{'nbm_content_new_elements_between_1'|@translate}{$content_new_elements_between.DATE_BETWEEN_1}{'nbm_content_new_elements_between_2'|@translate}{$content_new_elements_between.DATE_BETWEEN_2}.
+{/if}
+{if not empty($global_new_lines)}
+{foreach from=$global_new_lines item=line}
+  o {$line}
+{/foreach}
+{/if}
+{if not empty($custom_mail_content)}
+{$custom_mail_content}
+{/if}
+{if not empty($GOTO_GALLERY_TITLE)}
+{'nbm_content_goto_1'|@translate}{$GOTO_GALLERY_TITLE} {$GOTO_GALLERY_URL} {'nbm_content_goto_2'|@translate}
+{/if}
+
+{'nbm_content_byebye'|@translate}
+  {$SEND_AS_NAME}
+
+______________________________________________________________________________
+
+{'nbm_content_unsubscribe_link'|@translate}{'nbm_content_click_on'|@translate}{$UNSUBSCRIBE_LINK}
+{'nbm_content_subscribe_link'|@translate}{'nbm_content_click_on'|@translate}{$SUBSCRIBE_LINK}
+{'nbm_content_problem_contact'|@translate}{$CONTACT_EMAIL}
+______________________________________________________________________________
Index: extensions/floOS/menubar.css
===================================================================
--- extensions/floOS/menubar.css	(revision 3648)
+++ extensions/floOS/menubar.css	(revision 3652)
@@ -1,5 +1,5 @@
 #menubar {
 	float: left;
-	margin: 0 0 10px 1em;
+	margin: 0 0 10px 5px;
 	padding: 0;
 	display: inline;
Index: extensions/floOS/menubar.tpl
===================================================================
--- extensions/floOS/menubar.tpl	(revision 3648)
+++ extensions/floOS/menubar.tpl	(revision 3652)
@@ -7,5 +7,5 @@
 {/if}
 <div id="menubar">
-  <table id="table_menu">
+  <table id="table_menu" cellspacing="0" cellpadding="0" border="0" >
     <tr id="up">
       <td class="mb_left">&nbsp;</td>
Index: extensions/floOS/theme/glass/theme.css
===================================================================
--- extensions/floOS/theme/glass/theme.css	(revision 3648)
+++ extensions/floOS/theme/glass/theme.css	(revision 3652)
@@ -85,4 +85,5 @@
 	background-position:right bottom;
 	background-repeat:no-repeat;
+ height:50px;
 }
 #section_up {
@@ -90,4 +91,5 @@
  background-position:bottom;
  background-repeat:repeat-x;
+ height:50px;
 }
 #section_up_right{
@@ -95,4 +97,5 @@
  background-position:left bottom;
  background-repeat:no-repeat;
+ height:50px;
 }
 #section_left{
Index: extensions/floOS/theme/glass_clear/theme.css
===================================================================
--- extensions/floOS/theme/glass_clear/theme.css	(revision 3648)
+++ extensions/floOS/theme/glass_clear/theme.css	(revision 3652)
@@ -11,5 +11,15 @@
 BODY, H1, H2, H3, DT,
 INPUT.rateButtonSelected  {
-  color:#000033;
+  color:#fff;
+}
+#menubar ul {
+	font-size:100%;
+    color:#fff;
+}
+#menubar DT {
+    color:#000;
+}
+#menubar ul A, h2 A, h3 A{
+    color:#fff;
 }
 
@@ -52,5 +62,9 @@
 background: transparent url(images/section_in.png) repeat top center;
 }
-#comments H3, .titrePage h2, #section_in h2 {
+.titrePage h2, #section_in h2 {
+	background-color:transparent;
+	color: #fff;
+}
+#comments H3 {
 	background-image: url(images/boutton.png);
 	background-repeat:repeat-x;
@@ -59,5 +73,4 @@
 	border: 1px solid #FFFFFF;
 }
-
 .content DIV.thumbnailCategory {
 	background-image: url(../../icon/menu/folder.png);
@@ -94,12 +107,13 @@
 	background-position:right bottom;
 	background-repeat:no-repeat;
-	height:18px;
+	height:50px;
 	width:18px;
 }
 #section_up {
- background-image: url(images/section_up.png);
- background-position:bottom;
- background-repeat:repeat-x;
- height:18px;
+	background-image: url(images/section_up.png);
+	background-position:bottom;
+	background-repeat:repeat-x;
+	height:50px;
+	padding-top: 1em;	
 }
 #section_up_right{
@@ -107,5 +121,5 @@
  background-position:left bottom;
  background-repeat:no-repeat;
- height:18px;
+	height:50px;
  width:20px;
 }
@@ -206,5 +220,5 @@
 .content UL.thumbnailCategories DIV.thumbnailCategory:hover A {
   background-color: #FFFFFF;
-  border-color: #0066CC;		 thumbnails border color when mouse cursor is over it 
+  border-color: #0066CC;
   color: #0066CC;
 }
@@ -219,5 +233,9 @@
 
 A:hover, INPUT.rateButton:hover {
-    color: #000000;
+	border-bottom: none;
+	font-weight:bold;
+}
+#menubar A:hover {
+	font-weight: inherit;
 }
 
Index: extensions/floOS/theme/glass_dark/theme.css
===================================================================
--- extensions/floOS/theme/glass_dark/theme.css	(revision 3648)
+++ extensions/floOS/theme/glass_dark/theme.css	(revision 3652)
@@ -94,5 +94,5 @@
 	background-position:right bottom;
 	background-repeat:no-repeat;
-	height:18px;
+	height:50px;
 	width:18px;
 }
@@ -101,5 +101,5 @@
  background-position:bottom;
  background-repeat:repeat-x;
- height:18px;
+ height:50px;
 }
 #section_up_right{
@@ -107,5 +107,5 @@
  background-position:left bottom;
  background-repeat:no-repeat;
- height:18px;
+ height:50px;
  width:20px;
 }
Index: extensions/floOS/theme/glass_dark/themeconf.inc.php
===================================================================
--- extensions/floOS/theme/glass_dark/themeconf.inc.php	(revision 3648)
+++ extensions/floOS/theme/glass_dark/themeconf.inc.php	(revision 3652)
@@ -59,4 +59,5 @@
 	}
 </style>
+<![endif]-->
 ',
 );
Index: extensions/floOS/theme/glass_dark_2/index.php
===================================================================
--- extensions/floOS/theme/glass_dark_2/index.php	(revision 3652)
+++ extensions/floOS/theme/glass_dark_2/index.php	(revision 3652)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/floOS/theme/glass_dark_2/mail-css.tpl
===================================================================
--- extensions/floOS/theme/glass_dark_2/mail-css.tpl	(revision 3652)
+++ extensions/floOS/theme/glass_dark_2/mail-css.tpl	(revision 3652)
@@ -0,0 +1,13 @@
+{* $Id: mail-css.tpl 2285 2008-03-18 23:43:38Z rvelices $ *}
+/* Theme clear mail css */
+
+body {ldelim} background-color:#fff; color:#696969;}
+#the_page {ldelim} background: #fff url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}template/{$themeconf.template}/mail/text/html/images/footer-bg.png) no-repeat scroll left bottom;
+color: #333;}
+h2 {ldelim} background-color: #ddd;}
+img {ldelim} margin: 16px; border: 16px solid #aaa; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#faebd7; -moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #369; background: transparent; }
+a:hover {ldelim} color: #ddd; }
Index: extensions/floOS/theme/glass_dark_2/theme.css
===================================================================
--- extensions/floOS/theme/glass_dark_2/theme.css	(revision 3652)
+++ extensions/floOS/theme/glass_dark_2/theme.css	(revision 3652)
@@ -0,0 +1,356 @@
+/* ---------------------------------------------------------------------------
+Thème glass_dark_2 
+
+pour le template floOS
+
+by flop25(.free.fr)
+------------------------------------------------------------------------------ */
+
+
+/* text color */
+BODY, H1, H2, H3, DT,
+INPUT.rateButtonSelected  {
+  color:#fff;
+}
+/* positionnement */
+.content div.thumbnailCategory div.illustration {
+float:left;
+margin:2px 5px 0 2px;
+text-align:left;
+width:auto;
+}
+
+/* backgrounds */
+H3, .throw {
+  background-color: #ffffff;	/* white */
+}
+/* body {
+	background-image: url(images/back1.jpg);
+	background-repeat: no-repeat;
+	background-position: bottom center;
+	background-attachment:fixed;
+	font-size:0.7em;
+	font-family: Verdana,Arial,Helvetica,sans-serif;
+	background-color: #000;
+}*/
+body {
+	font-size:0.7em;
+	font-family: Verdana,Arial,Helvetica,sans-serif;
+	background-color: #334256;
+}
+/*BODY#theCommentsPage .content,
+BODY#theUploadPage .content,
+BODY#theRegisterPage .content,
+BODY#theIdentificationPage .content,
+BODY#theProfilePage .content,
+BODY#theSearchPage .content,
+BODY#theAboutPage .content,
+BODY#thePopuphelpPage .content,
+BODY#thePasswordPage .content,
+BODY#theNotificationPage .content,
+BODY#theTagsPage .content,
+BODY#theNBMPage .content
+{
+background: transparent url(images/section_in.png) repeat top center;
+}*/
+H2, .row1 {
+  background-color: #d3d3d3;
+}
+
+.header_notes {
+  background-color: #eeeeee;
+}
+#the_page > #comments {
+background: transparent url(images/section_in.png) repeat top center;
+}
+.titrePage h2, #section_in h2 {
+	background-color:transparent;
+	color: #fff;
+}
+BODY#theCommentsPage h2,
+BODY#theUploadPage h2,
+BODY#theRegisterPage h2,
+BODY#theIdentificationPage h2,
+BODY#theProfilePage h2,
+BODY#theSearchPage h2,
+BODY#theAboutPage h2,
+BODY#thePopuphelpPage h2,
+BODY#thePasswordPage h2,
+BODY#theNotificationPage h2,
+BODY#theTagsPage h2,
+BODY#theNBMPage h2
+  {
+	background-image: url(images/back_noir.png);
+	background-repeat:repeat-x;
+	background-color:#000;
+	color: #fff;
+}
+.content DIV.thumbnailCategory {
+	background-image: url(../../icon/menu/folder.png);
+	background-position: left bottom;
+	background-repeat:no-repeat;
+}
+.content ul.thumbnails span.wrap2 {
+background: transparent url(images/vignette.png) no-repeat top left;
+width:144px;
+height:144px;
+}
+.content ul.thumbnails span.wrap1 {
+	width:146px;
+	margin: 5px;
+}
+/* header */
+#theHeader {
+	background-image: url(images/header3.jpg);
+	background-position:center top;
+	background-repeat:no-repeat;
+	background-color: #000000;
+	color:#FFFFFF;
+	font-size:1.2em;
+	font-weight:bold;
+	height:105px;
+}
+#theHeader H1 {
+	color:#FFFFFF;
+	font-weight:bold;
+}
+#div_Menu {
+	margin-bottom:0;
+}
+/* contenu "section" */
+#section_in, #section_left, #section_bottom_left, #section_bottom, #section_bottom_right, #section_right{
+background:none;
+}
+
+
+#content #section_up_left{
+	background-image: url(images/section_up_left.png);
+	background-position:right top;
+	background-repeat:no-repeat;
+	height:91px;
+	width:72px;
+}
+#content #section_up {
+ background-image: url(images/section_up.png);
+ background-position:top;
+ background-repeat:repeat-x;
+ height:91px;
+ padding-bottom:20px;
+ padding-top:5px;
+}
+#content #section_up_right{
+ background-image: url(images/section_up_right.png);
+ background-position:left top;
+ background-repeat:no-repeat;
+ height:91px;
+ width:78px;
+}
+/* menubar*/
+
+#menubar {
+	margin-left:0px;
+}
+.mb_middle {
+background: transparent url(images/section_in.png) repeat top center;
+}
+#menubar DT{
+	background-image: url(images/fondMenu2.gif);
+	background-repeat:repeat-x;
+	background-color:#002024;
+	}
+/*#up .mb_left{
+	background-image: url(images/section_up_left.png);
+	background-position:right bottom;
+	background-repeat:no-repeat;
+ height:50px;
+}
+#section_up {
+ background-image: url(images/section_up.png);
+ background-position:bottom;
+ background-repeat:repeat-x;
+ height:50px;
+}
+#section_up_right{
+ background-image: url(images/section_up_right.png);
+ background-position:left bottom;
+ background-repeat:no-repeat;
+ height:50px;
+}
+#section_left{
+ background-image: url(images/section_left.png);
+ background-position:right;
+ background-repeat:repeat-y;
+}
+#section_bottom_left{
+ background-image: url(images/section_bottom_left.png);
+ background-position:top right;
+ background-repeat:no-repeat;
+}*/
+#bottom .mb_middle {
+ background-image: url(images/section_bottom.png);
+ background-position:top;
+ background-repeat:repeat-x;
+ height:20px;
+}
+#bottom .mb_right{
+ background-image: url(images/section_bottom_right.png);
+ background-position:left top;
+ background-repeat:no-repeat;
+ height:20px;
+ width:20px;
+}
+.mb_right {
+ background-image: url(images/section_right.png);
+ background-repeat:repeat-y;
+ background-position:left;
+ width:18px;
+}
+.mb_left {
+	display:none;
+	
+}
+/* menu Haut*/
+#div_Menu, #copyright {
+	background-image: url(images/back_noir.png);
+	background-repeat:repeat-x;
+    background-position:top center;
+}
+
+ul#Menu, ul#Menu li
+{
+	background:transparent;
+}
+ul#Menu li:hover
+{
+color: #fff;
+background-image: url(images/fondMenuSurvol.gif);
+background-repeat:repeat-x;
+background-position:center;
+background-color:transparent;
+	text-decoration: none;
+    border-bottom: none;
+}
+
+/* borders */
+#menubar DL {
+  border: 2px solid #002024;
+}
+
+#theImage IMG {
+  border-color: #fff;
+}
+#linkNext, #linkPrev {
+  border: 2px solid #fff;
+}
+
+.content UL.thumbnail IMG {
+    border: 1px solid #a0a0a0;
+}
+
+FIELDSET, INPUT, SELECT, TEXTAREA,
+.content DIV.comment  A.illustration IMG {
+  border: 1px solid #fff;
+}
+
+#comments DIV.comment BLOCKQUOTE {
+  border-left: 2px solid #696969;
+}
+
+/*
+.content UL.thumbnails SPAN.wrap2:hover,*/
+.content UL.thumbnailCategories DIV.thumbnailCategory:hover,
+.content UL.thumbnailCategories DIV.thumbnailCategory:hover A {
+  border-color: #002024;
+  color: #42B4FF;
+}
+.thumbnailCategory IMG {
+	border: 2px solid #FFFFFF;
+}
+/* links */
+A, INPUT.rateButton {
+    color: #fff;
+    background: transparent;
+}
+
+A:hover, INPUT.rateButton:hover {
+	color: #42B4FF;
+	border-bottom: none;
+	font-weight:bold;
+}
+
+#imageToolBar A, #imageToolBar A:hover {
+    border-bottom: none;
+}
+
+A.navThumb, A.navThumb:hover {
+    border-bottom: none;
+}
+#div_Menu A {
+	color:#FFFFFF;
+	text-decoration: none;
+}
+#div_Menu A:hover {
+	text-decoration: none;
+    border-bottom: none;
+}
+.header_notes A {
+    color: #333;
+}
+/* Picture */
+#imageHeaderBar {
+	background-image: url(images/fondblack2.png);
+	background-repeat:repeat-x;
+	background-position: center top;
+	background-color: #000000;
+}
+#imageHeaderBar h2 {
+background:transparent;
+color:#FFFFFF
+}
+#imageHeaderBar, #imageHeaderBar A {
+color:#FFFFFF;
+}
+#imageToolBar .randomButtons, #imageToolBar .navButtons {
+background:transparent;
+}
+#imageToolBar .navButtons {
+background:transparent;
+
+}
+#imageToolBar {
+	background-image: url(images/fondblack_bas.png);
+	background-repeat:repeat-x;
+	background-position: center bottom;
+	background-color: #000000;
+}
+#imageToolBar A:hover {
+background-image: url(images/fondMenuSurvol.gif);
+background-repeat:repeat-x;
+background-position:center;
+background-color:transparent;
+}
+#action_pict {
+	border: 2px solid #FFFFFF;
+    background: transparent url(images/section_in.png) repeat top center;
+    color:#fff;
+    font-weight:bold;
+}
+/*calendar elements*/
+SPAN.calItem, SPAN.calItemEmpty
+{
+  border: 1px solid silver;
+}
+
+.virtual_cat { background: #fff !important; }
+#mbMenu #quicksearch > p { text-align: left; }
+form p { text-align:center; }
+#qsearchInput { color: #d3d3d3; }
+#qsearchInput:focus { color: #005e89; }
+
+UL.tabsheet LI.normal_tab { background-color: #d3d3d3; }
+UL.tabsheet LI.selected_tab { background-color: #eeeeee; }
+
+UL.tabsheet, UL.tabsheet LI {border-color: gray;}
+UL.tabsheet LI.normal_tab:hover { border-color: black; }
+
+/*______________-------------------___________________________---------*/
Index: extensions/floOS/theme/glass_dark_2/themeconf.inc.php
===================================================================
--- extensions/floOS/theme/glass_dark_2/themeconf.inc.php	(revision 3652)
+++ extensions/floOS/theme/glass_dark_2/themeconf.inc.php	(revision 3652)
@@ -0,0 +1,25 @@
+<?php
+$themeconf = array(
+  'template' => 'floOS',
+  'theme' => 'glass_dark_2',
+  'template_dir' => 'template/floOS',
+  'icon_dir' => 'template/floOS/icon',
+  'admin_icon_dir' => 'template/floOS/icon/admin',
+  'mime_icon_dir' => 'template/floOS/icon/mimetypes/',
+  'local_head' => '  <script type="text/javascript" src="template-common/lib/jquery.js"></script>
+  <script type="text/javascript">
+jQuery(document).ready(function(){
+	$(".titre_acordeon").click(function() {
+		$(this).next().toggle("medium");
+	}).next().hide();
+});
+jQuery(document).ready(function(){
+	$(".titre_acordeon_0").click(function() {
+		$(this).next().toggle("medium");
+	}).next().show();
+});
+  
+  </script>
+',
+);
+?>
Index: extensions/floOS/tools/version.conf.php
===================================================================
--- extensions/floOS/tools/version.conf.php	(revision 3648)
+++ extensions/floOS/tools/version.conf.php	(revision 3652)
@@ -2,5 +2,5 @@
 $floOS_conf = array(
   'name' => 'floOS',
-  'version' => '1.0.4',
+  'version' => '1.1.0',
 );
 