Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 3667)
+++ /trunk/language/it_IT/admin.lang.php	(revision 3668)
@@ -194,5 +194,5 @@
 $lang['You cannot delete your account'] = 'Non potete cancellare il vostro conto utente';
 $lang['You cannot move a category in its own sub category'] = 'Non potete spostare una categoria in una sua sottocategoria.';
-$lang['You need to confirm deletion'] = 'Dovete confermare la cancellazione';
+$lang['You need to confirm deletion'] = 'Dovete confermare la soppressione';
 $lang['add tags'] = 'aggiungere i tags';
 $lang['adviser'] = 'Consigliere';
@@ -313,5 +313,5 @@
 $lang['nbm_send_submit'] = 'Inviare';
 $lang['nbm_subscribe_col'] = 'Iscritti';
-$lang['nbm_subscribe_mode'] = 'Iscriviti';
+$lang['nbm_subscribe_mode'] = 'Iscrizione';
 $lang['nbm_title_param'] = 'Parametri';
 $lang['nbm_title_send'] = 'Selezionare gli invii';
@@ -329,5 +329,5 @@
 $lang['nbm_user_not_change_enabled_true'] = 'L\'utente %s [%s] non è stato aggiunto alla lista degli iscritti.';
 $lang['nbm_user_x_added'] = 'Utente %s [%s] aggiunto.';
-$lang['nbm_warning_subscribe_unsubscribe'] = 'Attenzione: la sottoscrizione o la cancellazione invierà un\'email agli utenti in questione';
+$lang['nbm_warning_subscribe_unsubscribe'] = 'Attenzione: la sottoscrizione o la soppressione invierà un\'email agli utenti in questione';
 $lang['nbm_send_html_mail'] = 'Invio dell\'email in formato HTML';
 $lang['nbm_send_recent_post_dates'] = 'Includere le ultime immagini per data';
@@ -365,5 +365,5 @@
 $lang['site_delete_hint'] = 'cancellare questo sito e tutti gli elementi ad esso connessi';
 $lang['site_deleted'] = 'cancellato';
-$lang['site_err'] = 'Si è verificato un errore';
+$lang['site_err'] = 'Si è verificato un\'errore';
 $lang['site_err_remote_file_not_found'] = 'file "create_listing_file.php" introvabile sul sito remoto';
 $lang['site_local'] = 'Locale';
@@ -432,5 +432,5 @@
 $lang['update_nb_elements_metadata_available'] = 'immagini in coda per la sincronizzazione dei metadati';
 $lang['update_nb_elements_metadata_sync'] = 'informazioni sugli elementi sincronizzate con i metadati';
-$lang['update_nb_errors'] = 'errori durante la sincronizzazione';
+$lang['update_nb_errors'] = 'Si sono verificati errori durante la sincronizzazione';
 $lang['update_nb_new_categories'] = 'categorie aggiunte nella base dati';
 $lang['update_nb_new_elements'] = 'elementi aggiunti nella base dati';
@@ -585,5 +585,5 @@
 $lang['plugins_dl_archive_error'] = 'È impossibile recuperare l\'archivio.';
 $lang['plugins_archive_error'] = 'È impossibile leggere o di eseguire l\'archivio.';
-$lang['plugins_extract_error'] = 'Un errore è avvenuto durante l\'esecuzione del file (%s).';
+$lang['plugins_extract_error'] = 'Si è verificato un\'errore durante l\'esecuzione del file (%s).';
 $lang['plugins_check_chmod'] = 'Verificate i permessi della cartella "plugins" et delle sue sotto cartelle (CHMOD).';
 $lang['plugins_server_error'] = 'Non é possibile connettersi al server.';
@@ -638,7 +638,7 @@
 $lang['Unable to retrieve server informations since allow_url_fopen is disabled.'] = 'È impossibile connettersi al server perche la funzione allow_url_fopen è disattivata.';
 $lang['Quick Local Synchronization'] = 'Sincronizzazione rapida';
-$lang['No photo can be deleted'] = 'Nessuna foto può essere soppressa';
+$lang['No photo can be deleted'] = 'Nessuna foto può essere eliminata';
 $lang['Note: Only deletes photos added with pLoader'] = 'Nota: solo le foto agiunte con pLoader possono essere rimosse';
-$lang['Delete selected photos'] = 'Cancellare le foto';
+$lang['Delete selected photos'] = 'Sopprimere le foto';
 $lang['%d photo was deleted'] = '%d foto cancellata';
 $lang['%d photos were deleted'] = '%d foto cancellate';
Index: /trunk/plugins/admin_advices/language/it_IT/plugin.lang.php
===================================================================
--- /trunk/plugins/admin_advices/language/it_IT/plugin.lang.php	(revision 3667)
+++ /trunk/plugins/admin_advices/language/it_IT/plugin.lang.php	(revision 3668)
@@ -55,7 +55,7 @@
 $lang['Adv_case'][5] = array( /* top_number */
  'Questo valore è forse troppo alto per i collegamenti a bassa velocità.',
- 'Pensate ad un valore tra 25-50 in funzione della taglia delle miniature.', );
+ 'Pensate ad un valore tra 25-50 in funzione delle dimenzioni delle miniature.', );
 $lang['Adv_case'][6] = array( /* top_number */
- 'Una sola? Almeno per le "immagini a caso", pensate ad un valore tra 5-10 circa in funzione della taglia delle miniature.',  );
+ 'Una sola? Almeno per le "immagini a caso", pensate ad un valore tra 5-10 circa in funzione delle dimenzioni delle miniature.',  );
 $lang['Adv_case'][7] = array( /* anti-flood_time */
  'Per uno scorrimento normale, il vostro valore è probabilmente troppo alto. Un buon\' valore sarebbe 60 (valore predefinito).', );